Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-4955

deltaspike-* features can't be installed (versions 1.3.0 or 1.5.1)

    XMLWordPrintable

    Details

    • Sprint:
      6.3 Sprint 3 (Feb 29 - Mar 25)

      Description

      Several deltaspike features can't be installed on Fuse 6.3 build 015

      Affected features

      • deltaspike-jpa
      • deltaspike-partial-bean
      • deltaspike-data
      JBossFuse:karaf@root> features:install deltaspike-jpa
      Error executing command: Error accessing mvn:org.ops4j.pax.cdi.fragment/pax-cdi-fragment-ds-jpa/1.0.0.RC1
      
      JBossFuse:karaf@root> features:install deltaspike-data
      Error executing command: Error accessing mvn:org.ops4j.pax.cdi.fragment/pax-cdi-fragment-ds-jpa/1.0.0.RC1
      
      JBossFuse:karaf@root> features:install deltaspike-partial-bean
      Error executing command: Can not resolve feature:
      Unsatisfied requirement(s):
      ---------------------------
         package:(&(package=org.apache.deltaspike.proxy.api)(version>=1.5.0)(!(version>=2.0.0)))
            deltaspike-partial-bean-module-impl
      

      For some reason, container contains two versions of deltaspike

      • 1.3.0
      • 1.5.1
      JBossFuse:karaf@root> features:list | grep deltaspike
      [uninstalled] [1.3.0                ] deltaspike-core                               org.ops4j.pax.cdi-1.0.0.RC1            Apache Deltaspike core support
      [uninstalled] [1.3.0                ] deltaspike-jpa                                org.ops4j.pax.cdi-1.0.0.RC1            Apache Deltaspike jpa support
      [uninstalled] [1.3.0                ] deltaspike-partial-bean                       org.ops4j.pax.cdi-1.0.0.RC1            Apache Deltaspike partial bean support
      [uninstalled] [1.3.0                ] deltaspike-data                               org.ops4j.pax.cdi-1.0.0.RC1            Apache Deltaspike data support
      [uninstalled] [1.5.1                ] deltaspike-core                               org.ops4j.pax.cdi-1.0.0.RC1-redhat-001 Apache Deltaspike core support
      [uninstalled] [1.5.1                ] deltaspike-jpa                                org.ops4j.pax.cdi-1.0.0.RC1-redhat-001 Apache Deltaspike jpa support
      [uninstalled] [1.5.1                ] deltaspike-partial-bean                       org.ops4j.pax.cdi-1.0.0.RC1-redhat-001 Apache Deltaspike partial bean support
      [uninstalled] [1.5.1                ] deltaspike-data                               org.ops4j.pax.cdi-1.0.0.RC1-redhat-001 Apache Deltaspike data support
      

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                oscerd Andrea Cosentino
                Reporter:
                jludvice Josef Ludvicek
                Tester:
                Josef Ludvicek
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: